<?php
session_start();
/*
Plugin Name: Distinct Popup
Plugin URI: http://www.marioconcina.it/blog/wordpress/wordpress-distinct-popup-home-page.html
Description: Allows to display a Javascript Popup on the homepage, works with other plugins that includes jQuery, Scriptaculous, etc...
Author: Mario Concina
Version: 1.0
Author URI: http://www.marioconcina.it
*/
require_once(dirname (__FILE__). '/hooks.php');
require_once(dirname (__FILE__). '/menu.php');
require_once(dirname (__FILE__). '/scripts.php');
require_once(dirname (__FILE__). '/common.php');
//require_once(dirname (__FILE__). '/functions.php');	
	
if (!class_exists('DistinctPopup')){
	class DistinctPopup {
			private $name = "distinct_popup";
			private $path = "wp-content/plugins/distinct_popup/popup.php";
			private $prefix = "distinct_";
			
			function DistinctPopup(){
			}

			public function get_popup_path(){
				return $this->path;
			}
			
			public function add_table_field(){
				global $wpdb;
				add_option("dist_popup_title", "Titolo", "", "yes");
				add_option("dist_popup_text", "Testo", "", "yes");
				add_option("dist_popup_view", "0", "", "yes");
				add_option("dist_popup_width", "500", "", "yes");
				add_option("dist_popup_height", "450", "", "yes");
				add_option("dist_popup_style", "<style></style>", "", "yes");
				add_option("dist_popup_status", "0", "", "yes");
			}
	}
}

if (class_exists('DistinctPopup'))
	$DistinctPopup = new DistinctPopup();
		else
			die("Classe DistinctPopup non registrata.");
		
if(is_admin()) $DistinctPopup->add_table_field();

function dist_popup_frontend(){
	$percorso = "wp-content/plugins/distinct_popup/popup.php";
	$_SESSION["text"] = get_option('dist_popup_text');
	$_SESSION["title"] = get_option('dist_popup_title');
	$_SESSION["style"] = get_option('dist_popup_style');
	if(get_option("dist_popup_view") == 0 && get_option("dist_popup_status") == 0){
	?>
		<script type="text/javascript">
			window.open('<?php echo $percorso; ?>', 'PopupName', 'width=<?php echo get_option("dist_popup_width"); ?>,height=<?php echo get_option("dist_popup_height"); ?>');
		</script>
	<?php
	}

	if(get_option("dist_popup_view") == 1 && get_option("dist_popup_status") == 0){
		if(is_home()){
	?>
		<script type="text/javascript">
			window.open('<?php echo $percorso; ?>', 'pippo', 'width=<?php echo get_option("dist_popup_width"); ?>,height=<?php echo get_option("dist_popup_height"); ?>');
		</script>
	<?php
		}
	}
	
	if(get_option("dist_popup_view") == 2 && get_option("dist_popup_status") == 0){
		if(is_single()){
	?>
		<script type="text/javascript">
			window.open('<?php echo $percorso; ?>', 'pippo', 'width=<?php echo get_option("dist_popup_width"); ?>,height=<?php echo get_option("dist_popup_height"); ?>');
		</script>
	<?php
		}
	}
	
	if(get_option("dist_popup_view") == 3 && get_option("dist_popup_status") == 0){
		if(is_page()){
	?>
		<script type="text/javascript">
			window.open('<?php echo $percorso; ?>', 'pippo', 'width=<?php echo get_option("dist_popup_width"); ?>,height=<?php echo get_option("dist_popup_height"); ?>');
		</script>
	<?php
		}
	}
	
	if(get_option("dist_popup_view") == 4 && get_option("dist_popup_status") == 0){
		if(is_category() || in_category()){
	?>
		<script type="text/javascript">
			window.open('<?php echo $percorso; ?>', 'pippo', 'width=<?php echo get_option("dist_popup_width"); ?>,height=<?php echo get_option("dist_popup_height"); ?>');
		</script>
	<?php
		}
	}
}
?>