<?php
function dist_popup_main(){
	global $wpdb;
	global $DistinctPopup;
	?>
	<script type="text/javascript">
	tinyMCE.init({
		mode : "exact",
		elements: "a_nice_textarea",
		theme : "simple"
	});
	</script>
	
	<div class="wrap">
		<?php screen_icon('link'); ?> <h2>Popup management</h2>
		<?php
		if(isset($_POST['send'])){
			update_option("dist_popup_title", $_POST["dist_popup_title"]);
			update_option("dist_popup_text", $_POST["dist_popup_text"]);
			update_option("dist_popup_view", $_POST["dist_popup_view"]);
			update_option("dist_popup_width", $_POST["dist_popup_width"]);
			update_option("dist_popup_height", $_POST["dist_popup_height"]);
			update_option("dist_popup_style", $_POST["dist_popup_style"]);
			update_option("dist_popup_status", $_POST["dist_popup_status"]);
		?>
			<div id="message" class="updated fade below-h2">Popup contents updated</div>
		<?php } ?>
		<form name="dist_popup_management" method="post">
		<div id="dist_popup_content">
			<div>Title:<br /> <input type="text" name="dist_popup_title" value="<?php echo get_option("dist_popup_title"); ?>" /></div>
			<div>Content of popup:<br /> <textarea name="dist_popup_text" rows="7" cols="90"><?php echo get_option("dist_popup_text"); ?></textarea></div>
			<div><?php screen_icon('tools'); ?><h2>Settings</h2></div>
			<div>
			View:<br />
			<select name="dist_popup_view">
				<option select value="<?php echo get_option("dist_popup_view"); ?>"><?php echo dist_popup_switch_view(get_option("dist_popup_view")); ?></option>
				<?php if(get_option("dist_popup_view") != 0){ ?><option value="0"><?php echo dist_popup_switch_view(0); ?></option><?php } ?>
				<?php if(get_option("dist_popup_view") != 1){ ?><option value="1"><?php echo dist_popup_switch_view(1); ?></option><?php } ?>
				<?php if(get_option("dist_popup_view") != 2){ ?><option value="2"><?php echo dist_popup_switch_view(2); ?></option><?php } ?>
				<?php if(get_option("dist_popup_view") != 3){ ?><option value="3"><?php echo dist_popup_switch_view(3); ?></option><?php } ?>
				<?php if(get_option("dist_popup_view") != 4){ ?><option value="4"><?php echo dist_popup_switch_view(4); ?></option><?php } ?>
			</select>
			</div>
			<div>Popup width:<br /><input type="text" name="dist_popup_width" value="<?php echo get_option("dist_popup_width"); ?>" size="3" /> px</div>
			<div>Popup height:<br /><input type="text" name="dist_popup_height" value="<?php echo get_option("dist_popup_height"); ?>" size="3" /> px</div>
			<div>Style of popup:<br /><textarea name="dist_popup_style" rows="7" cols="90"><?php echo get_option("dist_popup_style"); ?></textarea></div>
			<div>Status: <input type="radio" name="dist_popup_status" value="0" <?php if(get_option("dist_popup_status") == 0){ ?> checked <?php } ?> /> Enable <input type="radio" name="dist_popup_status" value="1" <?php if(get_option("dist_popup_status") == 1){ ?> checked <?php } ?> /> Disable</div>
			<div>* <input type="button" value="Popup preview &raquo;" class="button-primary" name="example" onclick="return window.open('<?php echo WP_PLUGIN_URL . '/distinct_popup/popup.php'; ?>', 'PopupExample', 'width=<?php echo get_option('dist_popup_width'); ?>,height=<?php echo get_option('dist_popup_height'); ?>');" /> <input type="submit" value="Update options &raquo;" class="button-primary" name="send" /></div>
			<div>* <sup>Before you getting preview you must update the changes</sup></div>
		</div>
		</form>
	</div>
<?php } ?>